<%-- 
    Document   : guide
    Created on : 2014-4-26, 0:19:39
    Author     : root
--%>

<%@page import="net.juuluu.webapp.core.install.softInstallconfig.InstallSetupItem"%>
<%@page import="net.juuluu.webapp.core.install.softInstallconfig.InstallSetupConfig"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<!-- 导入安装初始化文件 如安装步聚设置等-->
<%-- jetty 有
<jsp:include page="/install/install_init.jsp"></jsp:include>
--%>

<%
//程序安装步聚配置
InstallSetupConfig
        setupConfig=new InstallSetupConfig();

//创建安装步聚
InstallSetupItem item1=new InstallSetupItem();
item1.setOrder(1);
item1.setSetupName("安装数据库");

item1.setDescription("导入程序数据到Mysql数据库，请填写你的数据库资料后，点击安装数据库。");

setupConfig.add(item1);

InstallSetupItem item2=new InstallSetupItem();
item2.setOrder(3);
item2.setSetupName("解压缩程序安装包");

item2.setDescription("解压网站压缩包到网站目录，如JSP,类文件等。");
//setupConfig.add(item2);

InstallSetupItem item3=new InstallSetupItem();
item3.setOrder(2);
item3.setSetupName("设置系统配置文件");
item3.setDescription("设置系统配置文件,如hibernate,安全配置文件，软件变量等。");
setupConfig.add(item3);

request.getSession().setAttribute("InstallSetupConfig", setupConfig);

%>

<%--说明：通过iframe 调用./installController.jsp?act=init,初始化安装程序配置--%>


<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Juuluu Web App安装导航</title>
        
             
        <link href="./css/app.css" rel="stylesheet" type="text/css"/>

    </head>
    <body>
        
          
        <div id="wrap">
            
            <div id="header">
        
        <h1>安装MiinCMP1.0企业网站管理系统</h1>
        
            </div>
         
            <div id="container">
            <div class="grid_ins ">
              <div class="grid_ins_1 left" >
                    
                          <h1>安装导航!</h1>
        <div class="bar">
            
            <ol><li>
            <a href="./installController.jsp?act=init" target="main">            
             安装数据库
            </a></li>
                     
            
       <%--
            
         <li>    <a href="./installController.jsp?act=Install_unzip" target="main">            
            解压程序
            </a></li>
       --%>     
            
       <li>   <a href="./installController.jsp?act=Install_config_appfile" target="main">            
           创建系统配置文件
            </a></li>
            </ol>
        </div>
                          
                          
                          
                          <div >
                              
                              <h1>了解安装步聚：</h1>
                              <%
                      InstallSetupConfig setupConfigSession=(net.juuluu.webapp.core.install.softInstallconfig.InstallSetupConfig)        request.getSession().getAttribute("InstallSetupConfig");
                      java.util.List <InstallSetupItem> setuplist=        setupConfigSession.getInstallSetupList();  
                      
                      for(int i=0;i<setuplist.size();i++){
                          InstallSetupItem itm=setuplist.get(i);
                          
                          
                          out.write("<p><strong>");
                           out.write("("+itm.getOrder()+")");
                            out.write("&nbsp;");
                          out.write(itm.getSetupName());
                           out.write("</strong></p>");
                           
                           
                           out.write("<p>");
                           out.write(itm.getDescription());
                           
                            out.write("</p>");
                      }
                                %>
                          </div>       
                </div>
                
                <div class="grid_ins_2 left">
                     <iframe name="main" src="./installController.jsp?act=init" style="width:700px; height:500px; background-color: #ffffff;" />

                    
                </div>
            </div>

            
            </div>   
            
            <!-- end container -->
            
        </div>    
        
  <!-- end wrap -->
        
           </body>
</html>
